precision mediump float;
uniform sampler2D u_texture;

varying vec2 v_texCoord;

//@{vertex

attribute vec2 a_texCoord;
attribute vec2 a_position;

void main()
{
  v_texCoord = a_texCoord;
  gl_Position = vec4(a_position, 0.0, 1.0);
}
//@}

//@{fragment

void main()
{
  gl_FragColor = texture2D(u_texture, v_texCoord);
}

//@}
